Subject: Re: [PATCH] [PATCH v2] gpg-interface.c: trim CR only before LF

From: Junio C Hamano <[email-masked]>
Date: Fri, 17 Oct 2025 12:12:57 -0700

Christian Couder <[email-masked]> writes:

> On Thu, Oct 16, 2025 at 10:04 PM Okhuomon Ajayi
> <[email-masked]> wrote:
>>
>> Problem:
>> The function remove_cr_after() stripped CRs blindly. The comment suggested
>> NEEDSWORK: trim only CRs before LF.
>
> We use the present tense to talk about the current situation. In
> "Documentation/SubmittingPatches" there is:
>
> "[[present-tense]]
> The problem statement that describes the status quo is written in the
> present tense.  Write "The code does X when it is given input Y",
> instead of "The code used to do Y when given input X".  You do not
> have to say "Currently"---the status quo in the problem statement is
> about the code _without_ your change, by project convention."
>
> Also you don't need to prefix this part with "Problem:". We should
> understand from the description of the status quo that the situation
> is not good and should be improved.

Thanks for the above two pieces of advice.  The latter follows if
messages of all commits follow a simple convention that we have been
following, which is that the usual way to compose a log message of
this project is to

 - Give an observation on how the current system works in the
   present tense (so no need to say "Currently X is Y", or
   "Previously X was Y" to describe the state before your change;
   just "X is Y" is enough), and discuss what you perceive as a
   problem in it.

 - Propose a solution (optional---often, problem description
   trivially leads to an obvious solution in reader's minds).

 - Give commands to somebody editing the codebase to "make it so",
   instead of saying "This commit does X".

in this order.

Perhaps we should write it somewhere in the introductory text
designed to help applicants of mentoring programs like Outreachy and
GSoC?

Thanks.